Skip to main content
GET
/
v2
/
payment
/
payout
List all Payouts
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v2/payment/payout \
  --header 'x-auth-token: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "payout_id": "PO1968582687224500224",
      "payout_currency": "SGD",
      "payout_amount": "100.00",
      "statement_descriptor": "UQPAY PAYOUT",
      "payout_status": "INITIATED",
      "create_time": "2025-09-18T15:47:41+08:00",
      "internal_note": "Payment to supplier",
      "completed_time": ""
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-idempotency-key
string<uuid>
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Query Parameters

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1.

Required range: x >= 1
Example:

1

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

start_time
string

Payout creation start date (inclusive). Date format YYYY-MM-DD represents the start of the day (00:00:00).

Example:

"2025-07-01"

end_time
string

Payout creation end date (inclusive). Date format YYYY-MM-DD represents the end of the day (23:59:59).

Example:

"2025-07-31"

payout_status
enum<string>

Payout status filter Payout status enumeration

Available options:
INITIATED,
PROCESSING,
COMPLETED,
FAILED,
FAILED_REFUNDED
Example:

"INITIATED"

Response

List of payouts retrieved successfully

total_pages
integer
required

The total pages of available items.

Example:

10

total_items
integer
required

The total counts of available items.

Example:

105

data
object[]
required

List of payout records.